Subject: Re: [X2Go-Dev] Bug#1633: Bug#1633: New clipboard issue in Libreoffice with X2Go

From: Jens Reyer <[email-masked]>
Date: Thu, 13 Mar 2025 10:28:41 +0100 (CET)

Thanks again.

On both servers:

$ /usr/bin/x2goagent -version

running as X2Go Agent
NXAGENT - Version 3.5.99.27

I installed twm on the Debian Trixie/Sid server, and connected to it from a Linuxmint 22.1 Mate client: Yes The problem is still there.

Or should I also connect from a twm session?

> Ulrich Sibiller <[email-masked]> hat am 12. März 2025 um 14:57 geschrieben:
> 
>     Sorry, x2goserver-x2goagent is only a wrapper. The real functionality sits in the nxagent package, and that's the version I need. Alternatively you can run /usr/bin/x2goagent -version on the server.
> 
>     KDE includes a clipboard manager. What DE are you using?
> 
>     Does the problem also show up when you are using a very simple window manager like twm or fvwm2 or openbox?
> 
>     Uli
> 
>     On Wed, Mar 12, 2025 at 1:55 PM Jens Reyer <[email-masked] mailto:[email-masked] > wrote:
> 
>         > > 
> >         Hi,
> > 
> >         thanks for the quick answer.
> > 
> > 
> >         x2goagent 4.1.0.6, as provided by the distributions,
> > 
> >         so on the affected Debian Trixie/Sid Mate server:
> > 
> >         x2goserver-x2goagent 4.1.0.6-1.1+b1
> > 
> >         and on LinuxMint 22.1 Mate:
> > 
> >         x2goserver-x2goagent 4.1.0.6-1.1build1
> > 
> > 
> >         To the best of my knowledge there's no clipboard manager running on the systems, neither on the 2 tested servers nor the 3 clients.
> > 
> >         Most systems were just set up recently by myself, and I never used or even heard about clipboardmanagers before. Neither clipman nor xclipboard are installed.
> > 
> > 
> >         Greets
> > 
> >         jre
> > 
> > 
> >             > > > Ulrich Sibiller <[email-masked] mailto:[email-masked] > hat am 12. März 2025 um 11:13 geschrieben:
> > > 
> > >             Hi,
> > > 
> > >             please let us know the version of nxagent (x2goagent) you are using. Also ensure that there’s no clipboard manager running (on both sides!).
> > > 
> > >             Uli
> > > 
> > >             On Wed, Mar 12, 2025 at 11:11 AM Jens Reyer <[email-masked] mailto:[email-masked] > wrote:
> > > 
> > >                 > > > > 
> > > >                 Package: x2goserver
> > > > 
> > > >                 Version: 4.1.0.6-1.1+b1
> > > > 
> > > >                 Severity: normal
> > > > 
> > > > 
> > > >                 Hi,
> > > > 
> > > >                 since an update/reinstallation copy&pasting in Libreoffice in X2Go always needs to be repeated, only the very first run works instantly.
> > > > 
> > > >                 We found this issue only when using X2Go, but not when working directly on the same machine.
> > > > 
> > > >                 It happens only in Libreoffice (Calc and Writer), but not in e.g. Firefox or an editor.
> > > > 
> > > >                 Starting Libreoffice in safe mode (soffice --safe-mode) does not help.
> > > > 
> > > > 
> > > >                 Steps to reproduce:
> > > > 
> > > > 
> > > >                 Start Libreoffice
> > > > 
> > > >                 ctrl+c, ctrl+v OK
> > > > 
> > > >                 ctrl+c, ctrl+v FAIL (nothing is inserted)
> > > > 
> > > >                 ctrl+c, ctrl+v FAIL (nothing is inserted)
> > > > 
> > > > 
> > > >                 Start Libreoffice
> > > > 
> > > >                 right-click > copy, right-click > paste OK
> > > > 
> > > >                 right-click > copy, right-click > paste FAIL (Libreoffice Calc asks where to shift the cells, but then nothing is inserted)
> > > > 
> > > >                 right-click > copy, right-click > paste FAIL (Libreoffice Calc asks where to shift the cells, but then nothing is inserted)
> > > > 
> > > > 
> > > >                 Workaround:
> > > > 
> > > >                 ctrl+c, ctrl+v OK
> > > > 
> > > >                 ctrl+c, ctrl+c, ctrl+v OK
> > > > 
> > > >                 ctrl+c, ctrl+c, ctrl+v OK
> > > > 
> > > > 
> > > >                 Tested affected servers:
> > > > 
> > > >                 Debian Trixie/Sid Mate (libreoffice 4:24.8.5-2 amd64, x2goserver 4.1.0.6-1.1+b1)
> > > > 
> > > >                 LinuxMint 22.1 Mate (libreoffice 4:24.2.7-0ubuntu0.24.04.2, x2goserver 4.1.0.6-1.1build1)
> > > > 
> > > > 
> > > >                 Previously not affected server:
> > > > 
> > > >                 LinuxMint 21.3 Mate (libreoffice 1:7.3.7-0ubuntu0.22.04.8, x2goserver 4.1.0.3-5)
> > > > 
> > > > 
> > > >                 Tested Clients:
> > > > 
> > > >                 Debian Trixie (x2goclient 4.1.2.3-3)
> > > > 
> > > >                 Linuxmint 22.1 (x2goclient 4.1.2.3-1build3)
> > > > 
> > > >                 Win10 (X2GoClient 4.1.2.2), with the X.org server option "do not use primary clipboard" both checked and unchecked
> > > > 
> > > > 
> > > >                 I reported this issue only here, not with the distros or Libreoffice. Please tell me if I should otherwise or if I should provide additional info or tests.
> > > > 
> > > > 
> > > >                 My boss is willing to pay for a solution. Just contact me.
> > > > 
> > > > 
> > > >                 Thanks in advance and thanks for all your work!
> > > > 
> > > >                 Jens Reyer
> > > > 
> > > >                 _______________________________________________
> > > >                 x2go-dev mailing list
> > > >                 [email-masked] mailto:[email-masked]
> > > >                 https://lists.x2go.org/listinfo/x2go-dev
> > > > 
> > > >             > > > 
> > >         > >         _______________________________________________
> >         x2go-dev mailing list
> >         [email-masked] mailto:[email-masked]
> >         https://lists.x2go.org/listinfo/x2go-dev
> > 
> >     >